SDL_loadso.h File Reference
`#include "SDL_stdinc.h"`
`#include "SDL_error.h"`
`#include "begin_code.h"`
`#include "close_code.h"`
Include dependency graph for SDL_loadso.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

void * | SDL_LoadObject (const char *sofile)
void * | SDL_LoadFunction (void *handle, const char *name)
void | SDL_UnloadObject (void *handle)

## Detailed Description

System dependent library loading routines

Some things to keep in mind:

- These functions only work on C function names. Other languages may have name mangling and intrinsic language support that varies from compiler to compiler.
- Make sure you declare your function pointers with the same calling convention as the actual library function. Your code will crash mysteriously if you do not do this.
- Avoid namespace collisions. If you load a symbol from the library, it is not defined whether or not it goes into the global symbol namespace for the application. If it does and it conflicts with symbols in your code or other shared libraries, you will not get the results you expect. :)

Definition in file SDL_loadso.h.

## Function Documentation

void* SDL_LoadFunction | ( | void * | handle,
|  | const char * | name
| ) |  |

Given an object handle, this function looks up the address of the named function in the shared object and returns it. This address is no longer valid after calling SDL_UnloadObject().

Referenced by main().

void* SDL_LoadObject | ( | const char * | sofile | ) |

This function dynamically loads a shared object and returns a pointer to the object handle (or NULL if there was an error). The 'sofile' parameter is a system dependent name of the object file.

void SDL_UnloadObject | ( | void * | handle | ) |

Unload a shared object from memory.